libgutenprint API Reference: include/gutenprint/channel.h File Reference

libgutenprint API Reference 5.3.4

Functions
channel.h File Reference

Channel functions. More...

## Functions
void | stp_channel_reset (stp_vars_t *v)
void | stp_channel_reset_channel (stp_vars_t *v, int channel)
void | stp_channel_add (stp_vars_t *v, unsigned channel, unsigned subchannel, double value)
double | stp_channel_get_value (stp_vars_t *v, unsigned channel, unsigned subchannel)
void | stp_channel_set_density_adjustment (stp_vars_t *v, int color, int subchannel, double adjustment)
double | stp_channel_get_density_adjustment (stp_vars_t *v, int color, int subchannel)
void | stp_channel_set_ink_limit (stp_vars_t *v, double limit)
double | stp_channel_get_ink_limit (stp_vars_t *v)
void | stp_channel_set_cutoff_adjustment (stp_vars_t *v, int color, int subchannel, double adjustment)
double | stp_channel_get_cutoff_adjustment (stp_vars_t *v, int color, int subchannel)
void | stp_channel_set_black_channel (stp_vars_t *v, int channel)
int | stp_channel_get_black_channel (stp_vars_t *v)
void | stp_channel_set_gloss_channel (stp_vars_t *v, int channel)
int | stp_channel_get_gloss_channel (stp_vars_t *v)
void | stp_channel_set_gloss_limit (stp_vars_t *v, double limit)
double | stp_channel_get_gloss_limit (stp_vars_t *v)
void | stp_channel_set_curve (stp_vars_t *v, int channel, const stp_curve_t *curve)
const stp_curve_t * | stp_channel_get_curve (stp_vars_t *v, int channel)
void | stp_channel_set_gcr_curve (stp_vars_t *v, const stp_curve_t *curve)
const stp_curve_t * | stp_channel_get_gcr_curve (stp_vars_t *v)
void | stp_channel_initialize (stp_vars_t *v, stp_image_t *image, int input_channel_count)
void | stp_channel_convert (const stp_vars_t *v, unsigned *zero_mask)
unsigned short * | stp_channel_get_input (const stp_vars_t *v)
unsigned short * | stp_channel_get_output (const stp_vars_t *v)
unsigned char * | stp_channel_get_output_8bit (const stp_vars_t *v)

## Detailed Description

Channel functions.

## Function Documentation

## ◆ stp_channel_add()

void stp_channel_add | ( | stp_vars_t * | v,
|  | unsigned | channel,
|  | unsigned | subchannel,
|  | double | value
| ) |  |

## ◆ stp_channel_convert()

void stp_channel_convert | ( | const stp_vars_t * | v,
|  | unsigned * | zero_mask
| ) |  |

## ◆ stp_channel_get_black_channel()

int stp_channel_get_black_channel | ( | stp_vars_t * | v | ) |

## ◆ stp_channel_get_curve()

const stp_curve_t* stp_channel_get_curve | ( | stp_vars_t * | v,
|  | int | channel
| ) |  |

## ◆ stp_channel_get_cutoff_adjustment()

double stp_channel_get_cutoff_adjustment | ( | stp_vars_t * | v,
|  | int | color,
|  | int | subchannel
| ) |  |

## ◆ stp_channel_get_density_adjustment()

double stp_channel_get_density_adjustment | ( | stp_vars_t * | v,
|  | int | color,
|  | int | subchannel
| ) |  |

## ◆ stp_channel_get_gcr_curve()

const stp_curve_t* stp_channel_get_gcr_curve | ( | stp_vars_t * | v | ) |

## ◆ stp_channel_get_gloss_channel()

int stp_channel_get_gloss_channel | ( | stp_vars_t * | v | ) |

## ◆ stp_channel_get_gloss_limit()

double stp_channel_get_gloss_limit | ( | stp_vars_t * | v | ) |

## ◆ stp_channel_get_ink_limit()

double stp_channel_get_ink_limit | ( | stp_vars_t * | v | ) |

## ◆ stp_channel_get_input()

unsigned short* stp_channel_get_input | ( | const stp_vars_t * | v | ) |

## ◆ stp_channel_get_output()

unsigned short* stp_channel_get_output | ( | const stp_vars_t * | v | ) |

## ◆ stp_channel_get_output_8bit()

unsigned char* stp_channel_get_output_8bit | ( | const stp_vars_t * | v | ) |

## ◆ stp_channel_get_value()

double stp_channel_get_value | ( | stp_vars_t * | v,
|  | unsigned | channel,
|  | unsigned | subchannel
| ) |  |

## ◆ stp_channel_initialize()

void stp_channel_initialize | ( | stp_vars_t * | v,
|  | stp_image_t * | image,
|  | int | input_channel_count
| ) |  |

## ◆ stp_channel_reset()

void stp_channel_reset | ( | stp_vars_t * | v | ) |

## ◆ stp_channel_reset_channel()

void stp_channel_reset_channel | ( | stp_vars_t * | v,
|  | int | channel
| ) |  |

## ◆ stp_channel_set_black_channel()

void stp_channel_set_black_channel | ( | stp_vars_t * | v,
|  | int | channel
| ) |  |

## ◆ stp_channel_set_curve()

void stp_channel_set_curve | ( | stp_vars_t * | v,
|  | int | channel,
|  | const stp_curve_t * | curve
| ) |  |

## ◆ stp_channel_set_cutoff_adjustment()

void stp_channel_set_cutoff_adjustment | ( | stp_vars_t * | v,
|  | int | color,
|  | int | subchannel,
|  | double | adjustment
| ) |  |

## ◆ stp_channel_set_density_adjustment()

void stp_channel_set_density_adjustment | ( | stp_vars_t * | v,
|  | int | color,
|  | int | subchannel,
|  | double | adjustment
| ) |  |

## ◆ stp_channel_set_gcr_curve()

void stp_channel_set_gcr_curve | ( | stp_vars_t * | v,
|  | const stp_curve_t * | curve
| ) |  |

## ◆ stp_channel_set_gloss_channel()

void stp_channel_set_gloss_channel | ( | stp_vars_t * | v,
|  | int | channel
| ) |  |

## ◆ stp_channel_set_gloss_limit()

void stp_channel_set_gloss_limit | ( | stp_vars_t * | v,
|  | double | limit
| ) |  |

## ◆ stp_channel_set_ink_limit()

void stp_channel_set_ink_limit | ( | stp_vars_t * | v,
|  | double | limit
| ) |  |